GET /root

phylopic.org:phylopic-api

Summary: Retrieves the root phylogenetic node (the ancestor of all others).
Operation ID: getRoot
Auth: unknown
Description

Redirects to the appropriate `/nodes/{uuid}` endpoint.

Parameters (5)

Accept (string, header, optional)

The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.

build (integer, query, optional)

Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.

embed_childNodes (string, query, optional)

If `"true"`, includes all members of `childNodes` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_parentNode (string, query, optional)

If `"true"`, includes `parentNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_primaryImage (string, query, optional)

If `"true"`, includes `primaryImage` in `_embedded`.

Constraints: {'pattern': '^true$'}

Examples (3)

TitleTypeURLAction
Basic root node request curl http://phylopic.org/api/root
Root with embedded child nodes and primary image curl http://phylopic.org/api/root?embed_childNodes=true&embed_primaryImage=true
Root with specific build and all embed options curl http://phylopic.org/api/root?build=1&embed_childNodes=true&embed_parentNode=true&embed_primaryImage=true

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:34:31.163320 404 256ms
2026-03-23 10:26:56.715569 404 200ms
2026-03-23 09:04:15.466973 404 208ms